import React from 'react';
import { CalendarProps as CalendarCoreProps } from '../Calendar/CalendarContainer';
import { DATERANGE_DISABLED_TARGET } from '../internals/constants';
import { DateRange } from './types';
import { RsRefForwardingComponent, WithAsProps } from '../internals/types';
import { DatePickerLocale } from '../locales';
type OmitCalendarCoreTypes = 'disabledDate' | 'onSelect' | 'onMouseMove' | 'calendarDate' | 'format' | 'locale' | 'onToggleMeridian';
export interface CalendarProps extends WithAsProps, Omit<CalendarCoreProps, OmitCalendarCoreTypes> {
    calendarDate?: DateRange;
    disabledDate?: (date: Date, selectValue: [] | [Date] | [Date, Date], type: DATERANGE_DISABLED_TARGET) => boolean;
    format?: string;
    hoverRangeValue?: DateRange;
    index: number;
    isoWeek?: boolean;
    weekStart?: 0 | 1 | 2 | 3 | 4 | 5 | 6;
    limitEndYear?: number;
    limitStartYear?: number;
    locale?: DatePickerLocale;
    showWeekNumbers?: boolean;
    value?: [] | [Date] | [Date, Date];
    onChangeCalendarMonth?: (index: number, date: Date) => void;
    onChangeCalendarTime?: (index: number, date: Date) => void;
    onToggleMeridian: (index: number, event: React.MouseEvent) => void;
    onSelect?: (index: number, date: Date, event: React.SyntheticEvent) => void;
    onMouseMove?: (date: Date) => void;
}
declare const Calendar: RsRefForwardingComponent<'div', CalendarProps>;
export default Calendar;
